<?php
// put your own password below to replace 'adminpass'
$LOGIN_INFORMATION = array(
  'adminpass'
);

// request login? true - show login and password boxes, false - password box only
define('USE_USERNAME', false);

// User will be redirected to this page after logout
define('LOGOUT_URL', 'http://www.example.com/');

// time out after NN minutes of inactivity. Set to 0 to not timeout
define('TIMEOUT_MINUTES', 0);

// This parameter is only useful when TIMEOUT_MINUTES is not zero
// true - timeout time from last activity, false - timeout time from login
define('TIMEOUT_CHECK_ACTIVITY', true);


///////////////////////////////////////////////////////
// do not change code below
///////////////////////////////////////////////////////

// show usage example
if(isset($_GET['help'])) {
  die('Include following code into every page you would like to protect, at the very beginning (first line):<br>&lt;?php include("' . str_replace('\\','\\\\',__FILE__) . '"); ?&gt;');
}

// timeout in seconds
$timeout = (TIMEOUT_MINUTES == 0 ? 0 : time() + TIMEOUT_MINUTES * 60);

// logout?
if(isset($_GET['logout'])) {
  setcookie("verify", '', $timeout, '/'); // clear password;
  header('Location: ' . LOGOUT_URL);
  exit();
}

if(!function_exists('showLoginPasswordProtect')) {

// show login form
function showLoginPasswordProtect($error_msg) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta name="robots" content="ALL"/>
  <meta name="description" content="Weather Sky - Today's weather page." />
  <meta name="keywords" content="Cumulus, Weather, Now, Today, Catalan, French, English, Spanish, German" />
  <meta http-equiv="pragma" content="no-cache" />
  <meta name="author" content="weatherbyyou.com" />
  <title>Template management screen</title>
	<link href="styles.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="nivo-slider.css" type="text/css" media="screen" />
  <script type="text/javascript" src="dropdowntabs.js"></script>
  <script type="text/javascript" src="dropdowntabs.js"></script>
  <style type="text/css">
    input { border: 1px solid black; margin: 10px 0px}
  </style>
</head>
<body>
<div id="bg_clouds">
	<div id="main">
<?php include("header_menu.php"); ?>
		<div style="height:13px"></div>
		<!-- header ends -->
		<div class="header_top"></div>
		<div class="header">
			<div id="wrapper">
				<div id="slider-wrapper">        
					<div id="slider" class="nivoSlider">
						<img src="style/header1.jpg" alt="" />
						<img src="style/header2.jpg" alt=""/>
						<img src="style/header3.jpg" alt="" />
					</div>
				</div>
			</div>
			<script type="text/javascript" src="lib/jquery-1.4.3.min.js"></script>
			<script type="text/javascript" src="lib/jquery.nivo.slider.pack.js"></script>
			<script type="text/javascript">
				$(window).load(function() {
				$('#slider').nivoSlider();
				});
			</script>
		</div>
		<div class="header_bot"></div>
		<div style="height:15px"></div>
		<!-- content begins -->
   	<div class="cont_top"></div>
   	<div id="content">
			<h2><strong>Supervisor login page</strong></h2><br />
			<!-- Dbut entete du centre de page  -->
			<div style="width:500px; margin:0 auto; padding: 100px 0px; text-align:center; border: 1px solid #538EE6">
				<form method="post">
					<h3>Please enter password to access this page</h3>
					<font color="red"><?php echo $error_msg; ?></font><br />
					<?php if (USE_USERNAME) echo 'Login:<br /><input type="input" name="access_login" /><br />Password:<br />'; ?>
					<input type="password" name="access_password" /><p></p><input type="submit" name="Submit" value="Submit" />
				</form>
				<br />
				<a style="font-size:9px; color: #B0B0B0; font-family: Verdana, Arial;" href="http://www.zubrag.com/scripts/password-protect.php" title="Download Password Protector">Powered by Password Protect</a>
			</div>
		</div><!--//body-->
		<div class="cont_bot"></div><!-- content ends --> 
		<!-- footer begins -->
		<div id="footer">
			<a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a> | <a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page validates as CSS"><abbr title="Cascading Style Sheets">CSS</abbr></a> | Weather Blues Template by <a href="http://weatherbyyou.com">Weather by You!</a>
			<p style="width:100%; font-family:helvetica; font-size:10px; color:#fff">Copyright  2011. <!-- Do not remove -->Designed by <a href="http://www.metamorphozis.com/free_templates/free_templates.php" title="Free Web Templates">Free Web Templates</a>, coded by <a href="http://www.myfreecsstemplates.com/" title="Free CSS Templates">Free CSS Templates</a><!-- end --></p>
		</div>
		<!-- footer ends -->
	</div><!--//body_wrapper-->
</div>
</body>
</html><?php 
  // stop at this point
  die();
}
}

// user provided password
if (isset($_POST['access_password'])) {
  $login = isset($_POST['access_login']) ? $_POST['access_login'] : '';
  $pass = $_POST['access_password'];
  if (!USE_USERNAME && !in_array($pass, $LOGIN_INFORMATION)
  || (USE_USERNAME && ( !array_key_exists($login, $LOGIN_INFORMATION) || $LOGIN_INFORMATION[$login] != $pass ) ) 
  ) {
    showLoginPasswordProtect("Incorrect password.");
  }
  else {
    // set cookie if password was validated
    setcookie("verify", md5($login.'%'.$pass), $timeout, '/');
    
    // Some programs (like Form1 Bilder) check $_POST array to see if parameters passed
    // So need to clear password protector variables
    unset($_POST['access_login']);
    unset($_POST['access_password']);
    unset($_POST['Submit']);
  }
}
else {
  // check if password cookie is set
  if (!isset($_COOKIE['verify'])) {
    showLoginPasswordProtect("");
  }
  // check if cookie is good
  $found = false;
  foreach($LOGIN_INFORMATION as $key=>$val) {
    $lp = (USE_USERNAME ? $key : '') .'%'.$val;
    if ($_COOKIE['verify'] == md5($lp)) {
      $found = true;
      // prolong timeout
      if (TIMEOUT_CHECK_ACTIVITY) {
        setcookie("verify", md5($lp), $timeout, '/');
      }
      break;
    }
  }
  if (!$found) {
    showLoginPasswordProtect("");
  }
}
?>