<?php
$tpl_version = "1.0";
if (isset($_GET['ver'])) {
  echo $tpl_version;
  exit;
}
?>
<div class="boxes">
  <div>
    <h2><small><?php echo $TT_units; ?></small></h2>
    <table style="margin: 0 auto;" summary="Measures units used">
      <tr>
        <td><?php echo $tr_cloudbaseunit; ?></td>
        <td><?php echo $cloudbaseunit; ?></td>
      </tr><tr>
        <td><?php echo $Tr_pressunit; ?></td>
        <td><?php echo $pressunit; ?></td>
      </tr><tr>
        <td><?php echo $Tr_rainunit; ?></td>
        <td><?php echo $rainunit; ?></td>
      </tr><tr>
        <td><?php echo $Tr_tempunit; ?></td>
        <td><?php echo $tempunit; ?></td>
      </tr><tr>
        <td><?php echo $Tr_windunit; ?></td>
        <td><?php echo $windunit; ?></td>
      </tr><tr>
        <td><?php echo $Tr_windrununit; ?></td>
        <td><?php echo $windrununit ; ?></td>
      </tr>
    </table>
  </div>
</div>
<div class="boxes">
  <h2><small><?php echo $TT_newrecord; ?></small></h2>
  <table style="margin: 0 auto;" summary="New record registred">
    <tr>
      <td><?php echo $Tr_TempRecordSet; ?></td>
      <td><img src="style/light_yellow<?php echo $TempRecordSet; ?>.png" alt="" title=""  /></td>
    </tr><tr>
      <td><?php echo $Tr_WindRecordSet; ?></td>
      <td><img src="style/light_yellow<?php echo $WindRecordSet; ?>.png" alt="" title=""  /></td>
    </tr><tr>
      <td><?php echo $Tr_RainRecordSet; ?></td>
      <td><img src="style/light_yellow<?php echo $RainRecordSet ; ?>.png" alt="" title=""  /></td>
    </tr><tr>
      <td><?php echo $Tr_HumidityRecordSet; ?></td>
      <td><img src="style/light_yellow<?php echo $HumidityRecordSet; ?>.png" alt="" title=""  /></td>
    </tr><tr>
      <td><?php echo $Tr_PressureRecordSet; ?></td>
      <td><img src="style/light_yellow<?php echo $PressureRecordSet; ?>.png" alt="" title=""  /></td>
    </tr>
  </table>
</div>
<div style="clear: both"></div>
<div style="width: 350px; padding-left: 55px;">
  <h2 style="text-align: center"><small><?php echo $TT_xsensor; ?></small></h2>
  <table style="padding-left: 30px" summary="Optional sensors">
		<col width="250" />
    <tr>
      <td><?php echo $Tr_ExtraTemp1; ?></td>
      <td><?php echo $ExtraTemp1; ?></td>
    </tr><tr>
      <td><?php echo $Tr_ExtraTemp2; ?></td>
      <td><?php echo $ExtraTemp2; ?></td>
    </tr><tr>
      <td><?php echo $Tr_ExtraTemp3; ?></td>
      <td><?php echo $ExtraTemp3; ?></td>
    </tr><tr>
      <td><?php echo $Tr_ExtraDP1; ?></td>
      <td><?php echo $ExtraDP1; ?></td>
    </tr><tr>
      <td><?php echo $Tr_ExtraDP2; ?></td>
      <td><?php echo $ExtraDP2; ?></td>
    </tr><tr>
      <td><?php echo $Tr_ExtraDP3; ?></td>
      <td><?php echo $ExtraDP3; ?></td>
    </tr><tr>
      <td><?php echo $Tr_ExtraHum1; ?></td>
      <td><?php echo $ExtraHum1; ?></td>
    </tr><tr>
      <td><?php echo $Tr_ExtraHum2; ?></td>
      <td><?php echo $ExtraHum2; ?></td>
    </tr><tr>
      <td><?php echo $Tr_ExtraHum3; ?></td>
      <td><?php echo $ExtraHum3; ?></td>
    </tr>
  </table>
</div>
<div style="width:400px; margin: 35px 0px 0px 55px">
  <h2 style="text-align: center"><small><?php echo $TT_davis; ?></small></h2>
  <table style="padding-left: 30px" summary="Informations specific to Davis stations">
    <tr>
      <td><?php echo $Tr_DavisTotalPacketsReceived; ?></td>
      <td><?php echo $DavisTotalPacketsReceived; ?></td>
    </tr><tr>
      <td><?php echo $Tr_DavisTotalPacketsMissed; ?></td>
      <td><?php echo $DavisTotalPacketsMissed; ?></td>
    </tr><tr>
      <td><?php echo $Tr_DavisNumberOfResynchs; ?></td>
      <td><?php echo $DavisNumberOfResynchs; ?></td>
    </tr><tr>
      <td><?php echo $Tr_DavisMaxInARow; ?></td>
      <td><?php echo $DavisMaxInARow; ?></td>
    </tr><tr>
      <td><?php echo $Tr_DavisNumCRCerrors; ?></td>
      <td><?php echo $DavisNumCRCerrors; ?></td>
    </tr><tr>
      <td><?php echo $Tr_DavisFirmwareVersion; ?></td>
      <td><?php if (isset($DavisFirmwareVersion)) echo $DavisFirmwareVersion; ?></td>
    </tr><tr>
      <td><?php echo $Tr_THWindex; ?></td>
      <td><?php echo $THWindex; ?></td>
    </tr><tr>
      <td><?php echo $Tr_THSWindex; ?></td>
      <td><?php echo $THSWindex; ?></td>
    </tr><tr>
      <td><?php echo $TT_THWindex; ?></td>
      <td><?php echo $THWindex; ?></td>
    </tr><tr>
      <td><?php echo $TT_THSWindex; ?></td>
      <td><?php echo $THSWindex; ?></td>
    </tr>
  </table>
</div>